<html xmlns="http://www.w3.org/1999/xhtml">

<!--

template.php
by protopop@jlab.org - Mar 15, 2008

-->

<head>
<title>PANDA DCS Detector Requirements Database Interface</title>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<meta name="Author"  content="Dr. Dan Protopopescu"/>
<meta name="Owner"   content="Nuclear Physics Group, University of Glasgow, Scotland, UK"/>
<meta http-equiv="pragma" content="no-cache">
<meta name="keywords" content="Physics, Panda, DCS, Glasgow">
<meta name="description" content="PANDA DCS Detector Requirements Database Custom-written Interface"/>
<link rel ="stylesheet" type = "text/css" href = "style.css"/>
<link REL="SHORTCUT ICON" HREF="images/panda-icon16x16.png"/>
<script src="/sorttable.js"></script>
<script language="JavaScript" type="text/javaScript">
<!--
 
if (top.location != document.location)
	top.location = document.location;

// The following code is used to support the popups that
// give the full description of a link when the user move the
// mouse over it.

  NS4 = (document.layers) ? 1 : 0;
  IE4 = (document.all) ? 1 : 0;
  W3C = (document.getElementById) ? 1 : 0;  
// W3C stands for the W3C standard, implemented in Mozilla (and Netscape 6) and IE5

// Function show(evt, name)
//  evt is a pointer to the Event object passed when the event occurs
//  name is the ID attribute of the element to show
function show ( evt, name ) {
  if (IE4) {
    evt = window.event;  //is it necessary?
  }
  
  var currentX,   //mouse position on X axis
    currentY,   //mouse position on X axis
    x,    //layer target position on X axis
    y,    //layer target position on Y axis
    docWidth,   //width of current frame
    docHeight,  //height of current frame
    layerWidth, //width of popup layer
    layerHeight,  //height of popup layer
    ele;    //points to the popup element
  
  // First let's initialize our variables
  if ( W3C ) {
    ele = document.getElementById(name);
    currentX = evt.clientX,
    currentY = evt.clientY;
    docWidth = document.width;
    docHeight = document.height;
    layerWidth = ele.style.width;
    layerHeight = ele.style.height;

  } else if ( NS4 ) {
    ele = document.layers[name];
    currentX = evt.pageX,
    currentY = evt.pageY;
    docWidth = document.width;
    docHeight = document.height;
    layerWidth = ele.clip.width;
    layerHeight = ele.clip.height;

  } else {  // meant for IE4
    ele = document.all[name];
    currentX = evt.clientX,
    currentY = evt.clientY;
    docHeight = document.body.offsetHeight;
    docWidth = document.body.offsetWidth;
    //var layerWidth = document.all[name].offsetWidth;
    // for some reason, this doesn't seem to work... so set it to 200
    layerWidth = 200;
    layerHeight = ele.offsetHeight;
  }

  // Then we calculate the popup element's new position
  //   Make sure we use parseInt so that strings are converted
  //   to ints before doing math. - joel@joeldare.com
  if ( ( currentX + parseInt(layerWidth) ) > docWidth ) {
    x = ( currentX - parseInt(layerWidth) );
  }
  else {
    x = currentX;
  }
  if ( ( currentY + parseInt(layerHeight) ) >= docHeight ) {
     y = ( currentY - parseInt(layerHeight) - 20 );
  }
  else {
    y = currentY + 20;
  }
  if ( IE4 ) {
    x += document.body.scrollLeft;
    y += document.body.scrollTop;
  } else if ( NS4)  {
  } else {
    x += window.pageXOffset;
    y += window.pageYOffset;
  }
  
  // Finally, we set its position and visibility
  if ( NS4 ) {
    //ele.xpos = parseInt ( x );
    ele.left = parseInt ( x );
    //ele.ypos = parseInt ( y );
    ele.top = parseInt ( y );
    ele.visibility = "show";
  } else {  // IE4 & W3C & Mozilla
    ele.style.left = parseInt ( x ) + "px";
    ele.style.top = parseInt ( y ) + "px";
    ele.style.visibility = "visible";
  }
}

function hide ( name ) {
  if (W3C) {
    document.getElementById(name).style.visibility = "hidden";
  } else if (NS4) {
    document.layers[name].visibility = "hide";
  } else {
    document.all[name].style.visibility = "hidden";
  }
}

function unhide ( name ) {
  if (W3C) {
    document.getElementById(name).style.visibility = "visible";
  } else if (NS4) {
    document.layers[name].visibility = "show";
  } else {
    document.all[name].style.visibility = "visible";
  }
}

//-->
</script>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0"  vlink="#333399">
<a name="Top of Page"></a>

<table bgcolor="white" border="0" cellpadding="10" cellspacing="0" width="100%" height="100%">
<tbody>
<tr height="20" valign="middle">
<td>&nbsp;</td>
<td align="right"><!-- title -->
<font color="red" size="+1"><b>

<?php
    echo ":&#183;&nbsp;";
    echo("$title &nbsp;</font>");
?>

</b></td>
</tr>

<tr valign="top"><!-- main body -->
<td colspan="2" bgcolor="white" align="left">
<div class="main"> 
<?php
  //inclusion defined in external php file
  include_once("$page_to_include");
?>
</div>
</td>
</tr>

</tbody>
</table>

</body>
</html>

